import request from '/@/utils/request';

export function saveMedHistory(params: string) {
	return request({
		url: '/patient/disease/history/save',
		method: 'post',
		data: params,
	});
}
export function deleteMedHistory(id: string) {
	return request({
		url: '/patient/disease/history/delete',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		params: {
			id
		},
	});
}
export function getMedHistoryList(params: object) {
    return request({
      url: '/patient/disease/history/list',
      method: 'post',
      params
    })
}


/**
 * 查询检验报告
 * @param data 
 * @returns 
 */
export function apiGetInspectionReport(data: object) {
	return request({
		url: "/lis/report/listReportGroupByPat",
		method: "post",
		data
	})
};